Bug 192076 - (CVE-2006-2427) CVE-2006-2427 clamav freshclam information disclosure
CVE-2006-2427 clamav freshclam information disclosure
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
http://www.securityfocus.com/archive/...
impact=moderate,source=cve,reported=2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-17 09:14 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 05:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-05-17 09:14:07 EDT
freshclam in (1) Clam Antivirus (ClamAV) 0.88 and (2) ClamXav 1.0.3h
and earlier does not drop privileges before processing the config-file
command line option, which allows local users to read portions of
arbitrary files when an error message displays the first line of the
target file.

This issue should also affect the clamav package in FE4
Comment 1 Enrico Scholz 2006-05-18 05:45:50 EDT
Not a bug;

1. 'freshclam' is not shipped with SUID, nor is a 'sudo' setup enabled in the FE
   package

2. the whole issue is bogus:
   a) when administrator enables a 'sudo' setup he has to make sure that
      only trustworthy cmdline params are possible. A '--config' option is
      definitively not such a trustworthy cmdline option; e.g. user could 
      configure 

      | DatabaseOwner root
      | UpdateLogFile /etc/nologin

      there.
  
   b) the username which shall be used for the effective operations of 
      'freshclam' will be read from the configuration file. I do not see how 
      'freshclam' can setuid(2) to somebody before it reads the configuration 
      file which tells the uid.

Note You need to log in before you can comment on or make changes to this bug.